document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Parallax effect for hero section
  window.addEventListener('scroll', () => {
    const hero = document.querySelector('.hero');
    const scrolled = window.pageYOffset;
    hero.style.backgroundPosition = `center ${scrolled * 0.5}px`;
  });

  // Glitch effect enhancement
  const glitchText = document.querySelector('.glitch');
  if (glitchText) {
    setInterval(() => {
      glitchText.style.animation = 'none';
      void glitchText.offsetWidth;
      glitchText.style.animation = null;
    }, 2500);
  }

  // Interactive CTA button
  const ctaButton = document.querySelector('.cta-button');
  ctaButton.addEventListener('mouseover', () => {
    ctaButton.style.transform = 'scale(1.1)';
  });
  ctaButton.addEventListener('mouseout', () => {
    ctaButton.style.transform = 'scale(1)';
  });
});
